%define namedreltag .Final
%define namedversion %{version}%{?namedreltag}

Name:          jboss-rmi-1.0-api
Version:       1.0.4
Release:       %mkrel 11
Summary:       Java Remote Method Invocation 1.0 API
Group:         Development/Java
License:       GPLv2 with exceptions
URL:           http://www.jboss.org

# git clone https://github.com/jboss/jboss-rmi-api_spec
# cd jboss-rmi-api_spec/ && git archive --format=tar --prefix=jboss-rmi-1.0-api-1.0.4.Final/ jboss-rmi-api_1.0_spec-1.0.4.Final | xz > jboss-rmi-1.0-api-1.0.4.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz

# Fix the address of the FSF in the license file:
Patch0:        %{name}-fix-fsf-address.patch

BuildRequires: maven-local
BuildRequires: mvn(jacorb:jacorb) >= 2.3.1-3.20120215git
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
Java Remote Method Invocation 1.0 API classes.


%package javadoc
Summary:       Javadoc for %{name}

%description javadoc	
This package contains the API documentation for %{name}.

%prep

# Unpack the sources:
%setup -q -n %{name}-%{namedversion}

# Apply the patches:
%patch0 -p1

# Force as Requires dep
%pom_xpath_remove "pom:dependency[pom:groupId = 'jacorb']/pom:scope"

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license src/main/resources/LICENSE

%files javadoc -f .mfiles-javadoc
%license src/main/resources/LICENSE


%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 1.0.4-11.mga6
+ Revision: 981116
- First rebuild of the java stack
- sync package jboss-rmi-1.0-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Jan 22 2015 daviddavid <daviddavid> 1.0.4-10.mga5
+ Revision: 811907
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-9.mga5
+ Revision: 750464
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.4-7.mga4
+ Revision: 559830
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 1.0.4-5.mga3
+ Revision: 388603
- imported package jboss-rmi-1.0-api


* Fri Aug 31 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-5
- Added maven-dependency-plugin BR

* Fri Aug 31 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-4
- Added implementation to the build

* Tue Jul 24 2012 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.4-3
- Added maven-enforcer-plugin build time dependency

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.0.4-1
- Initial packaging
